Page MenuHomePhabricator

Too many RDF label forms for MediaInfo
Closed, ResolvedPublic

Description

Right now the label forms produced for MediaInfo (e.g. see https://federated-commons.wmflabs.org/wiki/Special:EntityData/M10659.ttl?flavor=dump) are:

schema:caption "(Mostly) empty road near Zion National Park, at dusk"@en ;
rdfs:label "(Mostly) empty road near Zion National Park, at dusk"@en ;
skos:prefLabel "(Mostly) empty road near Zion National Park, at dusk"@en ;
schema:name "(Mostly) empty road near Zion National Park, at dusk"@en ;

We do not really need the last two forms. We need to figure out how we could signal TermsRdfBuilder to not produce them for MediaInfo entities.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterLimit which predicates are used for mediainfo labels
mediawiki/extensions/Wikibase : masterMake label RDF predicate set configurable

Event Timeline

Smalyshev created this task.May 1 2019, 7:51 PM
Smalyshev removed Smalyshev as the assignee of this task.May 1 2019, 7:57 PM
Smalyshev triaged this task as Normal priority.May 2 2019, 6:59 AM

Change 515327 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Make label RDF predicate set configurable

https://gerrit.wikimedia.org/r/515327

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.Jun 8 2019, 3:00 AM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Jun 10 2019, 10:35 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:25 PM

Change 520131 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseMediaInfo@master] Limit which predicates are used for mediainfo labels

https://gerrit.wikimedia.org/r/520131

Change 515327 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make label RDF predicate set configurable

https://gerrit.wikimedia.org/r/515327

Change 520131 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Limit which predicates are used for mediainfo labels

https://gerrit.wikimedia.org/r/520131

Smalyshev moved this task from In review to Done on the User-Smalyshev board.Jul 3 2019, 7:17 PM
Smalyshev closed this task as Resolved.Jul 16 2019, 4:37 AM
Smalyshev claimed this task.